*{
    margin:0px;
    padding:0px;
    text-decoration: none;
}

html, body {
    max-width: 100%;
    overflow-x: hidden;
}

body {
    display: block;
    position: relative;
    z-index: 1;
    overflow-x: hidden;
    background-color: black;
    font-family: 'Crimson Text';
}

body::before {
    content: "";
    position: fixed;
    background-image: url(images/backgrounds/background.jpg);
    background-size: 100%;
    z-index: -1;
    filter: blur(15px);
    inset: -50px;
    transform: translate(0,0);
}

.container {
    display: block;
    padding: 3.5vw 7vw;
}

.header {
    width: 100%;
    color: white;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding-bottom: 3vw;
}

#arrowBack {
    -webkit-filter: drop-shadow( 10pt 10pt 10pt rgba(0, 0, 0, .541));
    filter: drop-shadow( 10pt 10pt 10pt rgba(0, 0, 0, .541));
    font-size: 45pt; 
    color: white;
    transition: transform 0.1s ease;
}

#arrowBack:hover {
    transform: translate(-10px, 0);   
}

#arrow_back {
    -webkit-filter: drop-shadow( 10pt 10pt 10pt rgba(0, 0, 0, .541));
    filter: drop-shadow( 10pt 10pt 10pt rgba(0, 0, 0, .541));
    width: 100px;
    transition: transform 0.1s ease;
}

#arrow_back:hover {
    transform: translate(-10px, 0);
}

.title {
    font-size: clamp(40pt, 5vw, 50pt);
    font-weight: 700;
    font-style: italic;
    text-shadow: 4pt 3pt 10pt rgba(0, 0, 0, 0.541);
}

.spotlight {
    padding: 50px clamp(10px,1vw,50px);
    background: linear-gradient(
        90deg,
        transparent 0%,
        rgba(0, 0, 0, 0.7) 10%,
        rgba(0, 0, 0, 0.7) 90%,
        transparent 100%
    );
    display: flex;
    height: clamp(200px,18vw,400px);
    justify-content: center;
    gap: 5vw;
    margin-bottom: 5vw;
}

.description {
    color: white;
    font-size: clamp(15pt, 1.9vw, 22pt);
}

.spotlight::after{
  content: "";
  position: absolute;
  left: 0;
  right: 0;
  margin: -50px 4vw;
  height: 4px;
  background: linear-gradient(
    90deg,
    transparent 0%,
    rgba(255,255,255,.7) 40%,
    white 50%,
    rgba(255,255,255,.7) 60%,
    transparent 100%
  );
  border-radius: 999px;
  pointer-events: none;
}

.spotlight::before{
  content: "";
  position: absolute;
  left: 0;
  right: 0;
  margin: calc(clamp(200px,18vw,400px) + 50px) 4vw;
  height: 4px;
  background: linear-gradient(
    90deg,
    transparent 0%,
    rgba(255,255,255,.7) 40%,
    white 50%,
    rgba(255,255,255,.7) 60%,
    transparent 100%
  );
  border-radius: 999px;
  pointer-events: none;
}

#schiff {
    visibility: hidden;
    position: absolute;
}

.music {
    display: grid;
    width: 100%;
    grid-template-columns: repeat(2, minmax(282px, 0.3fr));
    gap: clamp(40px, 1.5vw, 24px);
    justify-content: space-evenly;
}

.video-element {
    color: white;
    font-size: clamp(13pt, 1.5vw, 16pt);
}

.video-description {
    margin-top: clamp(7px,0.7vw,15px);
    padding: 0.5vw clamp(15px,2vw,30px);
    background: linear-gradient(
        90deg,
        transparent 0%,
        rgba(0, 0, 0, 0.7) 10%,
        rgba(0, 0, 0, 0.5) 80%,
        
        transparent 100%
    );
    position: relative;
}

.video-description::after{
  content: "";
  position: absolute;
  left: 0;
  right: 0;
  top: 0;
  height: 3px;
  background: linear-gradient(
    90deg,
    transparent 0%,
    rgba(255,255,255,.7) 40%,
    white 50%,
    rgba(255,255,255,.7) 60%,
    transparent 100%
  );
  border-radius: 999px;
  pointer-events: none;
}

.video-description::before{
  content: "";
  position: absolute;
  left: 0;
  right: 0;
  bottom: 0;
  height: 3px;
  background: linear-gradient(
    90deg,
    transparent 0%,
    rgba(255,255,255,.7) 40%,
    white 50%,
    rgba(255,255,255,.7) 60%,
    transparent 100%
  );
  border-radius: 999px;
  pointer-events: none;
}

.video-wrapper {
    border-radius: 7px;
    overflow: hidden;
    aspect-ratio: 16 / 9;
}

.video-wrapper:hover {
    cursor: pointer;
}



iframe {
    width: 100%;
    height: 100%;
    border: none;
    pointer-events: none;
}

#overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.284);
  backdrop-filter: blur(2px);
  z-index: 9998;
  visibility: hidden;
  transition: visibility 0.3s ease;
  display: flex;
  justify-content: center;
  align-items: center;
}

#overlay.active {
  visibility: visible;
}

#expanded-video-wrapper {
  position: relative;
  width: 64vw;
  height: 36vw;
  background-color: black;
  box-shadow: 0 0 30px rgba(0,0,0,0.5);
  backdrop-filter: blur(20px);
  border-radius: 7px;
  overflow: hidden;
  z-index: 9999;
}

#expanded-video-wrapper iframe {
  width: 100%;
  height: 100%;
  border: none;
}


@media only screen and (max-width: 800px) {
    body {
        overflow-y: auto;
        width: unset;
        height: unset;
    }    

    .container {
        padding: 0;
    }

    body::before {
        background-size: 1300px;
        padding-bottom: 30px;
    }

    .header {
        width: 100%;
        padding: 0 7vw;
        padding-top: 30px;
        padding-bottom: clamp(0px, (100vw - 300px) * 0.15, 30px);
        /*background-color: rgba(240, 248, 255, 0.295);*/
    }

    #arrowBack {
        visibility: hidden;
        width: 0;
    }

    .title {
        font-size: clamp(35pt, 13vw, 40pt);
        /*background-color: rgba(240, 248, 255, 0.223);*/
        width: 100%;
    }

    .music {
        margin-top: 5px;
        grid-template-columns: clamp(250px, 90vw, 450px);
        margin-bottom: 50px;
    }

    #overlay {
        z-index: -100;
        height: 0;
    }

    iframe {
        pointer-events: unset;
    }

    .spotlight {
        visibility: hidden;
        position: absolute;
    }

    #schiff {
        visibility: visible;
        position: unset;
    }

    .video-element {
        font-size: clamp(16pt, 2vw, 20pt);
    }
}